User account creation filtered due to spam.

Bug 8232 - s390x: ICE when using bcmp with 'int' length argument
Summary: s390x: ICE when using bcmp with 'int' length argument
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 3.2
: P3 normal
Target Milestone: ---
Assignee: Ulrich Weigand
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-10-15 10:16 UTC by Ulrich Weigand
Modified: 2003-07-25 17:33 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Weigand 2002-10-15 10:16:01 UTC
ICE when building the TeX package on s390x-ibm-linux
in dviconcat.c:

Internal compiler error in emit_move_insn, at expr.c:2769

Release:
gcc 3.2

How-To-Repeat:
This code snippet reproduces the ICE:

int f (char *p, char *q, int i)
{
  return bcmp (p, q, i);
}
Comment 1 Ulrich Weigand 2002-10-15 10:17:47 UTC
Responsible-Changed-From-To: unassigned->uweigand
Responsible-Changed-Why: s390 backend bug
Comment 2 Ulrich Weigand 2002-10-15 10:17:47 UTC
State-Changed-From-To: open->analyzed
State-Changed-Why: cmpstrsi doesn't convert modes as required
Comment 3 Ulrich Weigand 2002-10-15 11:41:28 UTC
State-Changed-From-To: analyzed->closed
State-Changed-Why: Fixed in 3.2.1 and 3.3.
Comment 4 Ulrich Weigand 2002-10-15 18:34:37 UTC
From: uweigand@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: target/8232
Date: 15 Oct 2002 18:34:37 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Branch: 	gcc-3_2-branch
 Changes by:	uweigand@gcc.gnu.org	2002-10-15 11:34:37
 
 Modified files:
 	gcc            : ChangeLog 
 	gcc/config/s390: s390.md 
 
 Log message:
 	PR target/7370
 	* config/s390/s390.md ("*addsi3_inv"): New pattern.
 	
 	PR target/8232
 	* config/s390/s390.md ("cmpstrsi"): Convert length operand
 	from SImode to Pmode.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.13152.2.657.2.91&r2=1.13152.2.657.2.92
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/s390/s390.md.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.17.2.4&r2=1.17.2.4.2.1
 
Comment 5 Ulrich Weigand 2002-10-15 18:38:25 UTC
From: uweigand@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: target/8232
Date: 15 Oct 2002 18:38:25 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Branch: 	gcc-3_2-branch
 Changes by:	uweigand@gcc.gnu.org	2002-10-15 11:38:25
 
 Modified files:
 	gcc/testsuite  : ChangeLog 
 Added files:
 	gcc/testsuite/gcc.c-torture/compile: 20021015-1.c 20021015-2.c 
 
 Log message:
 	PR target/7370
 	* gcc.c-torture/compile/20021015-1.c: New test.
 	
 	PR target/8232
 	* gcc.c-torture/compile/20021015-2.c: New test.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.1672.2.166.2.27&r2=1.1672.2.166.2.28
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/gcc.c-torture/compile/20021015-1.c.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=NONE&r2=1.1.2.1
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/gcc.c-torture/compile/20021015-2.c.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=NONE&r2=1.1.2.1